import styles from './styles.module.css'
import {useContext, useEffect, useState} from "react";
import Context, {ContextInterface} from "../command/context";
import {TextField} from "@mui/material";
import {ArgumentInterface} from "../../../../../api/sm/responses/comamnds";

export default function Argument(argument: ArgumentInterface) {
    let {argumentList, setArgumentList} = useContext<ContextInterface>(Context)
    let [value, setValue] = useState(argumentList[argument.name] || '')

    useEffect(() => {
        let temp = {
            ...argumentList,
        }
        temp[argument.name] = value
        setArgumentList(temp)
    }, [value])

    let onInput = (event: any) => {
        setValue(event.target.value)
    }
    return (
        <span>
            <TextField onInput={onInput} label={argument.name} value={value} size="small" variant="outlined" />&nbsp;
        </span>
    )
}
