import '../styles/globals.css'
import type { AppProps } from 'next/app'
import {Provider} from "../context/token";
import {useToken} from "../hooks/use-token";

export default function App({ Component, pageProps }: AppProps) {
  let {token, tokens, switchToken, deleteToken, addToken} = useToken()
  return (
      <Provider value={{token, tokens, switchToken, deleteToken, addToken}}>
        <Component {...pageProps} />
      </Provider>
  )
}
